ST_Y
Prev | 8.4. Geometry Accessors | Next

## Name

ST_Y — Returns the Y coordinate of a Point.

## Synopsis

`float ST_Y(`geometry a_point`)`;

## Description

Return the Y coordinate of the point, or NULL if not available. Input must be a point.

To get the minimum and maximum Y value of geometry coordinates use the functions ST_YMin and ST_YMax.

This method implements the OGC Simple Features Implementation Specification for SQL 1.1.

This method implements the SQL/MM specification. SQL-MM 3: 6.1.4

This function supports 3d and will not drop the z-index.

## Examples

    SELECT ST_Y(ST_GeomFromEWKT('POINT(1 2 3 4)'));
     st_y
    ------
    	2
    (1 row)

    SELECT ST_Y(ST_Centroid(ST_GeomFromEWKT('LINESTRING(1 2 3 4, 1 1 1 1)')));
     st_y
    ------
      1.5
    (1 row)

## See Also

ST_Centroid, ST_GeomFromEWKT, ST_M, ST_X, ST_YMax, ST_YMin, ST_Z

Prev | Up | Next
ST_X | Home | ST_Z